#include <stdlib.h>
#include <stdio.h>

#include "MCTypesEtc.h"
#include "ECA_utilities.h"
#include "GFMCMC.h"
#include "GFMCMC_DrawingUtilities.h"

#include "NewHybrids.h"



void fprint_PofZ(hyb_chain *C)
{
	int i,g;
	FILE *out;
	
	out = fopen("aa-PofZ.txt","w");
	
	/*  print first row */
	fprintf(out,"%d_sweeps",C->Lat->Ind[0]->PofZ[0]->NumAved);
	CYCLE_g(C->Dat)
		fprintf(out,"\t%.3f/%.3f/%.3f/%.3f",C->Dat->G[g][0][0], 
					C->Dat->G[g][0][1], C->Dat->G[g][1][0], C->Dat->G[g][1][1]);
	END1CYCLE
	/*  then cycle over individuals, and within them cycle over the GtypFreq Cats and */
	/*  print out their posterior probs of PofZ */
	
	CYCLE_i(C->Dat)
		fprintf(out,"\n%d",i);
		CYCLE_g(C->Dat)
			fprintf(out,"\t%.5f",C->Lat->Ind[i]->PofZ[g]->Ave);
		END1CYCLE
	END1CYCLE
	
	fclose(out);
}
























